export type User = {
  name: string;
  gender: number; // 性别1=男2=女
  phone: string;
  factoryName: string; // 货场名称
  factoryAddress: string; //货场详细地址
  provinceId: number;
  areaId: number;
  citiyId: number;
  userType: number;
  userName: string;
  password: string;
  state: number; // 状态 1=有效 0=无效
  cardCode?: string; // 卡号
  roleVos?: array
} & BaseField;

interface Customer {
  id: number,
  name?: string,
  stockCardId?: number,
  contacts?:string,
  cardCode?: string,
}

export type MenusItem = {
  id: number,
  name: string,
  [attrName: string]: any;
}

export type LoginResult = {
  menusList: array<MenusItem>
  token: string,
  userId?:string,
  userInfo: User,
  userName?: string,
  [attrName: string]: any;
}